Initiate payment
curl --request POST \
--url https://api.simiz.io/v1/checkout/sessions/{sessionId}/pay \
--header 'Content-Type: application/json' \
--data '
{
"paymentMethod": "ORANGE_MONEY",
"phone": "237670000001"
}
'import requests
url = "https://api.simiz.io/v1/checkout/sessions/{sessionId}/pay"
payload = {
"paymentMethod": "ORANGE_MONEY",
"phone": "237670000001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({paymentMethod: 'ORANGE_MONEY', phone: '237670000001'})
};
fetch('https://api.simiz.io/v1/checkout/sessions/{sessionId}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cs_abc123",
"url": "https://pay.simiz.io/cs/abc123",
"amount": 5000,
"currency": "XAF",
"description": "<string>",
"status": "idle",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"merchantName": "<string>",
"merchantLogo": "<string>",
"successUrl": "<string>",
"cancelUrl": "<string>",
"paymentMethod": "ORANGE_MONEY",
"paymentId": "<string>",
"customer": {
"email": "<string>",
"phone": "<string>"
}
}{
"statusCode": 400,
"message": "amount must not be less than 100",
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Payment not found",
"error": "Not Found"
}Checkout (Public)
Initiate payment
Start the Mobile Money payment process for an existing checkout session. The customer will receive a USSD notification on their phone. No authentication required.
POST
/
checkout
/
sessions
/
{sessionId}
/
pay
Initiate payment
Path Parameters
Checkout session ID (format: cs_xxx)
Example:
"cs_abc123"
Body
application/json
Response
Payment initiated — awaiting USSD confirmation
Checkout session ID
Example:
"cs_abc123"
Payment URL for the customer
Example:
"https://pay.simiz.io/cs/abc123"
Example:
5000
Example:
"XAF"
Checkout session lifecycle:
idle— Session created, waiting for payment initiationprocessing— Payment being processedpending_ussd— Waiting for USSD confirmation from payersuccess— Payment completedfailed— Payment failedexpired— Session expiredcancelled— Session cancelled
Available options:
idle, processing, pending_ussd, success, failed, expired, cancelled Checkout-specific payment methods (broader than core):
ORANGE_MONEY,MTN_MOMO,WAVE,MOOV_MONEY
Available options:
ORANGE_MONEY, MTN_MOMO, WAVE, MOOV_MONEY Payment ID once payment is initiated
Show child attributes
Show child attributes

